<?php
/*---------------------------------------------------------------*/
/*
    Titre : nombre aléatoire                                                                                             
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=1166
    Auteur           : Cyriloox                                                                                           
    Date dition     : 27 Nov 2023                                                                                        
    Date mise  jour : 29 Nov 2023
                                                                                       
    Rapport de la maj:                                                                                                    
    - modification de la description                                                                                      
*/
/*---------------------------------------------------------------*/?>
<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="UTF-8">
  <title>Simulation de tirages de l'Euromillion</title>
</head>
<body>
  <h1>Simulation de tirages de l'Euromillion</h1>

  <form action="simulation.php" method="post">
    <label for="nb_tirage">Nombre de tirages à simuler :</label>
    <input type="number" name="nb_tirage" id="nb_tirage" value="1000000">

    <input type="submit" value="Simuler">
  </form>

  <?php
  // Déclaration des variables
  $nb_tirage = $_POST["nb_tirage"];

  // Simulation des tirages
  $tab_nombres = array();
  for ($i = 1; $i <= $nb_tirage; $i++) {
    // Génération d'un tableau de 5 numéros
    $tab_nombres[] = array(
      mt_rand(0, 48),
      mt_rand(0, 48),
      mt_rand(0, 48),
      mt_rand(0, 48),
      mt_rand(0, 48)
    );
  }

  // Analyse des fréquences
  // Utilisation d'un modèle statistique
  $modele = new PoissonDistribution(12020);

  // Calcul des probabilités de chaque numéro
  for ($i = 0; $i <= 48; $i++) {
    $tab_frequencies[$i] = $modele->Probability($i);
  }
  ?>

  <h2>Résultats</h2>

  <table border="1">
    <tr>
      <th>Numéro</th>
      <th>Fréquence</th>
    </tr>
    <?php
    for ($i = 0; $i <= 48; $i++) {
      echo "<tr>";
      echo "<td>" . $i . "</td>";
      echo "<td>" . $tab_frequencies[$i] . "</td>";
      echo "</tr>";
    }
    ?>
  </table>
</body>
</html>